Bug 182517 (nv-nomouse)

Summary: mouse cursor invisible on various Nvidia chipsets
Product: [Fedora] Fedora Reporter: Orion Poplawski <orion>
Component: xorg-x11-drv-nvAssignee: Adam Jackson <ajax>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 8CC: chris, darford, drees76, drn_temp2, gld, guattari, hugh, jbayes, jpmahowald, jss, k5di, kulbirsaini25, lauri.hahne, phjvdmeij, ran_bpan, rjp_rhb, shrek-m, spalin, stephenjb, thewatchman, tibbs, tomc, tony, wsc2189, xgl-maint
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
URL: https://bugs.freedesktop.org/show_bug.cgi?id=3009
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 01:56:04 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
x log
none
xlog file
none
x log for missing cursor
none
Xorg log file with missing cursor
none
Xorg.log
none
X log from nvidia system with invisible bouse
none
X org log
none
Xorg logfile
none
Xorg log file from invisible mouse session
none
Xorg log
none
Xorg.0.log
none
xorg.conf - no HWCursor settings
none
Xorg.0.log - init 3 - root init 5
none
Xorg.0.log - init 3 - user startx
none
Xorg.0.log - without rhgb
none
X Win Log
none
X Win Log none

Description Orion Poplawski 2006-02-22 18:13:12 EST
Description of problem:
Fresh install of FC5T3 updated to latest development.  rhgb shows cursor fine,
but it disappears once the full X session starts.

Section "Device"
        Identifier  "Videocard0"
        Driver      "nv"
        VendorName  "Videocard vendor"
        BoardName   "nVidia Corporation C51 PCI Express Bridge"
EndSection

00:05.0 VGA compatible controller: nVidia Corporation C51 PCI Express Bridge
(rev a2)

No difference if I comment out loading dri.

Cursor comes back if I disable HW Cursor:
        Option "HWCursor" "off"

Version-Release number of selected component (if applicable):
xorg-x11-drv-nv-1.0.1.5-3.1

How reproducible:
everytime
Comment 1 Orion Poplawski 2006-02-22 18:13:12 EST
Created attachment 125072 [details]
x log
Comment 2 Mike A. Harris 2006-02-24 07:14:46 EST
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 3 Mike A. Harris 2006-02-25 15:27:52 EST
Thanks, tracking bug https://bugs.freedesktop.org/show_bug.cgi?id=3009 upstream.

Another user is having this problem with the following chip ID also:

<fedorared> 00:05.0 0300: 10de:0242 (rev a2)
<fedorared>         Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 5
Comment 4 Mike A. Harris 2006-02-25 15:28:57 EST
The original reporter's chip is:

(II) PCI: 00:05:0: chip 10de,0240 card 1043,81cd rev a2 class 03,00,00 hdr 00
Comment 5 Dariusz Garbowski 2006-02-26 08:00:29 EST
*Not* experiencing this problem here:

FC5T3 x86_64
nv (open) driver (proprietary driver was _never installed_ on this OS)
Gigabyte PCI-E NX66128DP-Geforce6600

I'm only seeing what Jonathan Berry described on fedora-test list:
https://www.redhat.com/archives/fedora-test-list/2006-February/msg01842.html

"The very end tip of the arrow does seem to have one pixel that seems
to become about the opposite color of whatever is underneath it;
mostly only noticable when the pointer is on a white background.  I
don't think that is what you are referring to, though : )"

I'm also affected by (unrelated bug, I think)
https://bugs.freedesktop.org/show_bug.cgi?id=6032

(command below run on the same machine but from Kubuntu x86_64 and proprietary
nvidia driver)
# lspci -vn
0000:05:00.0 0300: 10de:0141 (rev a2)
        Subsystem: 1458:3124
        Flags: bus master, fast devsel, latency 0, IRQ 18
        Memory at f4000000 (32-bit, non-prefetchable) [size=64M]
        Memory at d8000000 (64-bit, prefetchable) [size=128M]
        Memory at fa000000 (64-bit, non-prefetchable) [size=16M]
        Capabilities: [60] Power Management version 2
        Capabilities: [68] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
        Capabilities: [78] #10 [0001]
Comment 6 David Niemi 2006-02-26 12:43:56 EST
Created attachment 125280 [details]
xlog file
Comment 7 David Niemi 2006-02-26 12:48:15 EST
Comment on attachment 125280 [details]
xlog file

I see this as Biostar TForce 6100-939. North bridge  GeForce6100, SB nForce 410
Comment 8 David Eyre 2006-02-26 14:54:47 EST
Created attachment 125284 [details]
x log for missing cursor
Comment 9 David Eyre 2006-02-26 14:55:31 EST
Missing cursor on ASUS A8N-VM CSM. (Geforce 6150).

00:05.0 0300: 10de:0240 (rev a2)
	Subsystem: 1043:81cd
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 11
	Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at fc000000 (64-bit, non-prefetchable) [size=16M]
	Expansion ROM at febe0000 [disabled] [size=128K]
	Capabilities: [48] Power Management version 2
	Capabilities: [50] Message Signalled Interrupts: 64bit+ Queue=0/0 
Enable-

00:05.0 VGA compatible controller: nVidia Corporation C51 PCI Express Bridge 
(rev a2) (prog-if 00 [VGA])
Comment 10 Jeremy Sanders 2006-02-26 15:39:28 EST
Missing cursor on MSI K8NGM2-FID (GForce 6150)

00:05.0 VGA compatible controller: nVidia Corporation C51 PCI Express Bridge
(rev a2)

00:05.0 Class 0300: 10de:0240 (rev a2)

00:05.0 VGA compatible controller: nVidia Corporation C51 PCI Express Bridge (re
v a2) (prog-if 00 [VGA])
        Subsystem: Micro-Star International Co., Ltd.: Unknown device 7207
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 177
        Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        Memory at fc000000 (64-bit, non-prefetchable) [size=16M]
        Expansion ROM at feae0000 [disabled] [size=128K]
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable
Comment 11 Jeremy Sanders 2006-02-26 15:48:55 EST
Created attachment 125285 [details]
Xorg log file with missing cursor
Comment 12 Todd Simi 2006-02-26 18:23:14 EST
I can see my cursor, but have that extra one pixel just after it's point.

I filed a seperate but about X randomly not responding to the mouse_over and clicks.

05:00.0 Class 0300: 10de:0141 (rev a2)
        Subsystem: 196e:021f
        Flags: bus master, fast devsel, latency 0, IRQ 5
        Memory at cc000000 (32-bit, non-prefetchable) [size=64M]
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        Memory at cb000000 (64-bit, non-prefetchable) [size=16M]
        [virtual] Expansion ROM at cafe0000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [68] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
        Capabilities: [78] Express Endpoint IRQ 0
        Capabilities: [100] Virtual Channel
        Capabilities: [128] Power Budgeting
Comment 13 david 2006-03-16 00:43:06 EST
Created attachment 126196 [details]
Xorg.log
Comment 14 david 2006-03-16 00:48:44 EST
Comment on attachment 126196 [details]
Xorg.log

Biostar tforce 6100-939 AMD x2 3800
SATA hwraid

Invisible cursor, edit cursor breaks up.  HWcursor has no effect.
Comment 15 Skip Sailors 2006-03-24 00:37:00 EST
Created attachment 126603 [details]
X log from nvidia system with invisible bouse
Comment 16 Fehér János 2006-03-24 02:37:58 EST
Created attachment 126607 [details]
X org log

00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
00:02.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:03.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:04.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:05.0 VGA compatible controller: nVidia Corporation C51 PCI Express Bridge
(rev a2)
00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a2)
00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a2)
00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a2)
00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a2)
00:0d.0 IDE interface: nVidia Corporation MCP51 IDE (rev a1)
00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
00:10.2 Multimedia audio controller: nVidia Corporation MCP51 AC97 Audio
Controller (rev a2)
00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a1)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address
Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
Comment 17 Mike A. Harris 2006-03-24 20:03:26 EST
*** Bug 185820 has been marked as a duplicate of this bug. ***
Comment 18 Simeon 2006-03-27 02:30:08 EST
Created attachment 126797 [details]
Xorg logfile

X log file
Comment 19 Simeon 2006-03-27 02:34:32 EST
ASUS A8N-VM CSM AMD Athlon 64 X2
NVIDIA GeForce 6150 integrated graphics
Comment 20 shrek-m 2006-03-27 04:55:27 EST
same problem here with the same board as in comment #10
MSI K8NGM2-FID (GForce 6150)
00:05.0 Class 0300: 10de:0240 (rev a2)

---- VGA BIOS while booting ----
NVIDIA GeForce 6150
Version 5.51.22.28.00
Engineering Release - [...]
--------


thanks, this works and the cursor is back again
---- xorg.conf ----
Section "Device"
        Identifier  "Videocard0"
        Driver      "nv"
        VendorName  "Videocard vendor"
        BoardName   "nVidia Corporation C51 PCI Express Bridge"
## fehlender cursor, hwcursor off  rhb#182517
        Option      "HWCursor" "off"
EndSection
--------
Comment 21 Jeff Buckley 2006-03-27 20:57:46 EST
Created attachment 126869 [details]
Xorg log file from invisible mouse session
Comment 22 Jeff Buckley 2006-03-27 21:00:45 EST
Comment on attachment 126869 [details]
Xorg log file from invisible mouse session

same invisible curser problem 
nVidia GeForce 6100 integrated graphics
ASRock K8NF4G-SATA2 motherborad
AMD Sepm_64 2600+

Kernel 
Linux fed5 2.6.15-1.2054_FC5 #1 SMP Tue Mar 14 15:48:20 EST 2006 x86_64 x86_64
x86_64 GNU/Linux

Xorg.0.log file attached
Comment 23 Lyle Hopkins 2006-03-28 21:37:00 EST
Created attachment 126957 [details]
Xorg log

Xorg log of session with invisible mouse
Comment 24 Lyle Hopkins 2006-03-28 21:39:59 EST
Comment on attachment 126957 [details]
Xorg log

I got the same
AMD Athlon 3000+ ASROCK K8NF4G-SATA2
Same motherboard and integrated graphics as the bug reported above, different
CPU.

FC5 release
Comment 25 brian wills 2006-04-06 22:05:32 EDT
Created attachment 127440 [details]
Xorg.0.log

Problem as described by others.
MSI K8NGM2 (GeForce 6150+ nForce 430)
Comment 26 Mike A. Harris 2006-04-21 21:01:25 EDT
*** Bug 188379 has been marked as a duplicate of this bug. ***
Comment 27 Russ Price 2006-05-07 12:58:15 EDT
Occurs on Shuttle SN21G5 (GeForce 6100 integrated video, MCP51 chipset), using
nVidia binary driver -or- open source nv driver.

WORKAROUND: The hardware cursor will work OK if I start the system WITHOUT rhgb.
Comment 28 Mike A. Harris 2006-06-07 04:46:18 EDT
Everyone experiencing this bug, please test the following and provide an
update as to wether it works for you or not:

- Edit xorg.conf and comment out any workarounds for this problem that
  you may be using currently, such as any hwcursor/swcursor options.

1) Read bug #193520, which appears to be a duplicate of this one.  The
   reporter indicates if he boots into runlevel 3 first, and then logs
   in as root and runs "init 5", the hardware cursor works fine.  Please
   try this and report back if it works.  Attach your X server log and
   config file from this run.

Then:
2) Reconfigure to boot runlevel 5.  Now, as per comment #27, please
   disable rhgb (or uninstall it), and reboot.  Update the report to
   indicate if it works or not, and attach your X server log and config.


If either or both solutions works for everyone, then it would appear that
there is a bug in the nv driver, which seems to break the hardware cursor
if multiple X server instances are running at the same time.
Comment 29 shrek-m 2006-06-07 08:04:28 EDT
1) grub: press "a" and add "3"
1.a) init 3 ; root `init 5` ==> ok 
1.b) init 3 ; user `startx` ==> ok

2) grub: press "a" and remove "rhgb"
init 5 without rhgb ==> ok


additional comment:
if you switch from tty7 to eg tty8 the cursor ist lost again.
this does not happen with disabled "HWCursor", here is ALL ok.
Comment 30 shrek-m 2006-06-07 08:07:52 EDT
Created attachment 130671 [details]
xorg.conf - no HWCursor settings
Comment 31 shrek-m 2006-06-07 08:09:52 EDT
Created attachment 130672 [details]
Xorg.0.log - init 3 - root  init 5
Comment 32 shrek-m 2006-06-07 08:11:14 EDT
Created attachment 130673 [details]
Xorg.0.log - init 3 - user  startx
Comment 33 shrek-m 2006-06-07 08:12:52 EDT
Created attachment 130674 [details]
Xorg.0.log - without rhgb
Comment 34 Russ Price 2006-06-07 08:19:16 EDT
I've made a hardware configuration change: instead of using the integrated
nVidia 6100 video, I've added an nVidia 7600 GS (PCI-E), and I'm using nVidia's
8756 release binary driver from livna.

Current kernel: 2.6.16-1.2122_FC5 x86_64

Hardware cursor works fine with or without rhgb on the 7600 GS, including after
a console switch.

I'm not going to rip open the machine to try it with the 6100, as this machine
is a small-form-factor box that makes it difficult to install or remove the card.
Comment 35 avri 2006-06-08 12:18:51 EDT
Removing rhgb from grub solved it for me.
Comment 36 Mike A. Harris 2006-06-14 13:14:56 EDT
Thanks guys, from the sound of comment #29, this sounds like a bug in the
"nv" driver's EnterVT()/LeaveVT() perhaps.  I've updated the upstream
bug https://bugs.freedesktop.org/show_bug.cgi?id=3009 with our findings,
and CC'd Nvidia for comment.

We'll track the issue in the Xorg bug now, as there's not much else we
can do.  Hopefully the problem will get resolved in CVS in the near
future and we can backport a patch.  If that doesn't happen though, we
can reconsider this issue prior to FC6's release, and force the driver
to disable hardware cursor by default on the affected hardware.

Setting status to "UPSTREAM"
Comment 37 Mike A. Harris 2006-06-17 04:12:13 EDT
*** Bug 195627 has been marked as a duplicate of this bug. ***
Comment 38 Mike A. Harris 2006-06-17 04:12:42 EDT
*** Bug 195626 has been marked as a duplicate of this bug. ***
Comment 39 Amadeus 2006-06-17 08:03:22 EDT
To Comment #36
I have just installed the "nvidia" driver from nVidia, and I still have this
problem, so it is atleast not just a problem in "nv".
Comment 40 Ray Strode [halfline] 2006-08-29 10:12:34 EDT
*** Bug 203322 has been marked as a duplicate of this bug. ***
Comment 41 Darlene J. Ford 2006-08-30 21:24:07 EDT
(In reply to comment #40)
> *** Bug 203322 has been marked as a duplicate of this bug. ***

Satish and I had same problem with FC5/GeForce 6150LE or GeForce 6100.  We 
both noted that removing rhgb from boot command temporarily fixed the problem, 
but that the cursor disappeared after logging out.  I'm perplexed.  Is the 
second X server Mike mentioned getting restarted when we log out? Is there a 
way to prevent that?

Thank you for shedding some light on the matter.

Comment 42 Adam Jackson 2006-08-31 10:13:39 EDT
(In reply to comment #41)
> (In reply to comment #40)
> > *** Bug 203322 has been marked as a duplicate of this bug. ***
> 
> Satish and I had same problem with FC5/GeForce 6150LE or GeForce 6100.  We 
> both noted that removing rhgb from boot command temporarily fixed the problem, 
> but that the cursor disappeared after logging out.  I'm perplexed.  Is the 
> second X server Mike mentioned getting restarted when we log out?

We start one X server for rhgb, and then one for each login cycle with gdm. 
When your session terminates, so does the X server.

> Is there a way to prevent that?

Not really, no.  Besides not logging out, of course.
Comment 43 Satish 2006-09-01 01:13:24 EDT
So i guess Darlene, we, nVidia users, have to live with the problem in FC 5 and 
wait till FC 6 gets released or else switch to SUSE 10, which is also quite 
sturdy as Fedora ? !!!!
Comment 44 shrek-m 2006-09-02 07:04:00 EDT
Option "HWCursor" "off"
Comment 45 Darlene J. Ford 2006-09-02 13:20:25 EDT
I'm still a little confused which sections in my xorg.conf to add HWCursor to. 
Would anyone be willing to post an example file?  Thanks.

Satish - does this graphics card definitely work in SUSE 10?  Did you try it?

Can anyone confirm or deny the rumor that this will be fixed in FC6?
Comment 46 Darlene J. Ford 2006-09-03 16:23:10 EDT
For the benefit of the next casual user to stumble across this bug, the xorg bug
for this is at https://bugs.freedesktop.org/show_bug.cgi?id=3009, and contains a
more detail about the xorg.conf HWCursor fix.
Comment 47 Adam Jackson 2006-09-15 19:00:55 EDT
Given that FC6 packages the upstream nv driver, and the bug has not been fixed
upstream yet, it would be difficult for this to magically start working in FC6.

If this works in any other distro I'd be happy to learn of it, since that would
give me some basis for comparison and probably a fix to integrate.
Comment 48 Mathews Alexander 2006-10-08 10:52:09 EDT
Created attachment 138003 [details]
X Win Log

Same Deal.  Dell Dimension R521 with the Nvidia chipset.
Comment 49 Mathews Alexander 2006-10-08 10:52:54 EDT
Created attachment 138004 [details]
X Win Log

Same Deal.  Dell Dimension R521 with the Nvidia chipset.
Comment 50 Hedayat Vatankhah 2007-07-03 20:42:05 EDT
Hi,
I were using FC5 with NVidia binary drivers without any problem. Recently, I've
upgraded to Fedora 7 (using yum) and installed the same nvidia driver on it. But
now, I've the same "invisible cursor" problem. It can be fixed by turing
HWCursor off, but it has a very bad effect when using compiz. It blinks a lot
and it's really unusable :(

Comment 51 Matěj Cepl 2007-07-04 10:18:56 EDT
This is weird -- since comment 36 this bug has been already closed, but all
participants in this lively discussion don't seem to be bothered by it ;-).

ajax, what to do about this bug?
Comment 52 Matěj Cepl 2007-07-04 15:59:20 EDT
*** Bug 193520 has been marked as a duplicate of this bug. ***
Comment 53 Matěj Cepl 2007-07-04 17:28:11 EDT
*** Bug 208060 has been marked as a duplicate of this bug. ***
Comment 54 Gianni Le Donne 2007-07-14 23:42:45 EDT
Gianni 
hi hi yah 
I made a fresh install of fedora 7 and the cursor disapers when x window is
loaded. The video is a Nvidia C51  [gforce 6150 le]
Comment 55 Gianni Le Donne 2007-07-15 20:37:21 EDT
I used the image cd to test the functionality of fedora 7 on the above computer.
the image works fine. Then I installed the Fedora 7 from the live CD and the
pointer performs the invisible act.
I hope this will help someone to solve the problem.
Gianni
Comment 56 Chris Bagwell 2007-07-29 12:20:58 EDT
I have seen the invisible cursor problem as well on my new HP tx1000z laptop. 
Here is something interesting that I've found out.

First up, this laptop has a nVidea C51 (Geforce 6150 Go).

Quick background: I have some random lockup problems in Xwindows with this
laptop.  It is cured if I  add either "noapic" or "vga=0x317" to the kernel boot
options.  Don't know why yet but both of those works.  I also don't know what
the lockup is caused by.  Normally, I chose to use "noapic" option as a work around.

For some reason, I got the idea to change that to vga=0x317 and see what
happened.  Sure enough, my mouse cursor came back.

Also, maybe this is of interest as well.  The following steps caused my mouse to
become invisible permentantly.  I'm trying to get the audio to work on this
laptop.  But the snd-hda-intel ALSA driver doesn't auto-detect things correctly
and sound doesn't work.  This is with F7 and updated on 7/29/07.  Mouse cursor
was visible during this time.

As suggested on alsa-devel, I've upgrade to latest ALSA snapshot release of that
driver.  I rebooted to make the drivers work.  Before reboot my cursor was fine
(when I used "noapic" option).  After reboot, the cursor became invisible. 
Changing to "vga=0x317" fixed it.

Some unknown conflict between audio and video perhaps?
Comment 57 Andrew Cagney 2007-08-16 11:58:41 EDT
*** Bug 247475 has been marked as a duplicate of this bug. ***
Comment 58 Fdor 2007-11-11 14:04:29 EST
The invisible cursor problem is still there in Fedora 8.

The problem occurs with both "nv" and "nouveau" drivers.

Aditionaly, in the case of "nouveau" driver, there is a bug ( bug 376051 ) that
doesn't start the driver at boot time, so the cursor is visible in the first
login. But, if you exit the session, the cursor turns to invisible in the new
login screen.
Comment 59 Fdor 2007-11-11 14:17:36 EST
Please, reopen this bug.

The software rendering (HWCursor=off) is just a workaround. The cursor should be
rendered by hardware.

Please, also update related Fedora version to f8.
Comment 60 shrek-m 2007-11-11 15:32:28 EST
this bug was in FC5, FC6, F7 and is in F8

please read comment #c36 from  mike harris 2006-06-14 13:14 EST  	
and 
https://bugs.freedesktop.org/show_bug.cgi?id=3009

Comment 61 Fdor 2007-11-11 16:53:56 EST
Thanks for your response.

I did read all the comments in this bug page some months ago. Specifically, in
the comment you mention (#36), Mike Harris says the bug hopefully would be
solved before fc6, and that they would track the problem at the X bug page (
https://bugs.freedesktop.org/show_bug.cgi?id=3009 ).

At the X bug page, the only solution seems to be the workaround (hwcursor=off),
but there is no fix.
Comment 62 Chris Bagwell 2007-11-11 17:24:17 EST
An update from my earlier comment.  My laptop runs much better with latest
kernels... No more lockups that I mentioned.

But I do find that I have to boot with vga=0x317 or I can still randomly get the
invisible curser.

Normally, I've added the vga=0x317 to grub and so I have forgotten about the
problem.
Comment 63 Fdor 2007-11-12 17:31:54 EST
Does your cursor get invisible if you logout and then re-login? That forces the
restart of the x server.

If you press control-alt-backspace in the login screen (gdm), does the cursor
get invisible? That kills and restarts the x server too.

Thanks
Comment 64 Matěj Cepl 2007-11-13 04:39:04 EST
*** Bug 378751 has been marked as a duplicate of this bug. ***
Comment 65 Hedayat Vatankhah 2007-11-14 01:26:58 EST
Hi all,
I have not any problems with FC5. Then, I upgraded my system to F7 and my mouse
cursor became invisible after rhgb. The hwcursor=off workaround works, but it is
not a choice as I like to use compiz.
I don't remember why, but I unchecked the "Restart the Xserver with each login"
option in the gdm settings; and everything fixed. I were able to keep rhgb, and
the cursor remained visible after logging out. And I forgot the problem...

Yesterday, I installed Fedora 8. And the invisible mouse problem appeared again
(If I remember correctly, it was visible first when my monitor was not correctly
detected and it was working at low resolution. But after selecting an 1024x768
monitor type, the invisible cursor problem appeared.) 
Unfortunately, the "Restart the Xserver with each login" option doesn't exist
anymore (I even tried to add the "AlwaysRestartServer=false" option to
/etc/gdm/custom.conf, but it didn't work.)

That's really annoying...
Comment 66 Hedayat Vatankhah 2007-11-14 02:17:32 EST
Hi again!
The above comments about F8 was about the nv driver. Just after that post, I
installed the binary nVidia driver from Livna, and everything is OK now. It
seems that the problem has been fixed in the binary driver. 
(I'm using Geforce 6100 (onboard))
Comment 67 Matěj Cepl 2007-11-14 08:35:55 EST
*** Bug 380701 has been marked as a duplicate of this bug. ***
Comment 68 Matěj Cepl 2007-11-14 10:15:10 EST
*** Bug 329341 has been marked as a duplicate of this bug. ***
Comment 69 Matěj Cepl 2007-11-22 08:25:40 EST
*** Bug 296091 has been marked as a duplicate of this bug. ***
Comment 70 David Rees 2007-12-13 19:08:36 EST
I am seeing this issue using the nv driver on F8 with this video card:

nVidia Corporation C51PV [GeForce 6150] (rev a2)

Turning off the hardware cursor in the video card device section get the cursor
back.
Comment 71 Karl F. Larsen 2007-12-13 20:13:22 EST
  It is clear the only way to get the cursor back is to drop back to init 3 and
modify /etc/X11/xorg.conf properly, with a option  "software pinter" "yes" in
the right place.

  My question is the same for 10 years. How does a new user of Linux learn how
to do this? Why is it that UMBUTU is able to fix the pointer problem and install
the proper Nvidia fix when it senses a Nvidia computer. Is Red Hat not aware of
the huge market share of Nvidia?

   Right now Fedora has a tiny bit of the users of PC in the world. It will get
smaller with this kind of problem. You can buy a computer with UMBUTU installed!
You can't buy a computer with any Red Hat installed.

Comment 72 Tony Ray 2007-12-13 20:47:24 EST
I'm sorry I haven't answered this sooner, I've know the cure(s) since Fedora 
Core 5.  The problem with nVidia graphics is caused by the RedHat Graphical 
Boot starting an extra X-server that traps the hardware cursor.  The cures are:

Cure 1:  In /boot/grub/grub.conf, remove "rhgb" from the kernel lines

Cure 2:  In versions that support it, in /etc/sysconfig/init, set "GRAPHICAL=no"

Comment 73 D. Hugh Redelmeier 2008-01-01 00:16:07 EST
I have experienced this bug on an Acer Aspire 9300 3089 notebook (Turion MK38
with nVidia GeForce Go 6100 integrated graphics controller) running the Fedora 8
Live x86_64 CD.

What is the convention?  Should the "Version" be updated to 8 since it is still
observed in F8?

I'm guessing that upstream cares little about this bug since its only major
manifestation is on Fedora (because of rhgb).
Comment 74 Matěj Cepl 2008-01-21 07:48:56 EST
*** Bug 234942 has been marked as a duplicate of this bug. ***
Comment 75 Mirai Warren 2008-01-26 18:21:01 EST
Tony Ray has a point.  I was all ready to have my very own !Fedora Core 5!, that
came with "A Practical Guide to Red Hat Linux", only to have this problem to
deal with. Very much putting off.
Comment 76 Matěj Cepl 2008-01-28 09:43:26 EST
(In reply to comment #73)
> What is the convention?  Should the "Version" be updated to 8 since it is still
> observed in F8?

Doing just that.
Comment 77 Adam Jackson 2008-04-04 16:04:50 EDT
*** Bug 243797 has been marked as a duplicate of this bug. ***
Comment 78 Mike Pope 2008-05-19 02:35:08 EDT
Ahem.  Make that "Version" == 9.
I am seeing this, intermittantly on:
  (--) NV: Found NVIDIA GeForce 6150 at 00@00:05:0
with a fresh F9 install on x86_64.
Comment 79 Orion Poplawski 2008-11-14 22:19:25 EST
Appeared for me with:

xorg-x11-drv-nv-2.1.12-6.fc10.i386
nVidia Corporation C51 [GeForce 6150 LE] (rev a2)

after I started a second X server to run system-config-display on another VT.  After that server exited, the cursor on the other X server disappeared.  I ended up disabling HWcursor to get it to come back.
Comment 80 Bug Zapper 2008-11-26 01:55:43 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 81 Joe Bayes 2009-01-05 16:07:13 EST
I had this problem for years, but it seems to be fixed in Fedora 10. Can we close it, rather than letting it go WONTFIX?
Comment 82 Matěj Cepl 2009-01-06 11:50:23 EST
Orion, can you confirm, that this has been fixed in F10, please?
Comment 83 Bug Zapper 2009-01-09 01:56:04 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.